explain_fgetpos_or_die(3)

NAME
explain_fgetpos_or_die - reposition a stream and report errors

SYNOPSIS
#include <libexplain/fgetpos.h>

void explain_fgetpos_or_die(FILE *fp, fpos_t *pos);
int explain_fgetpos_on_error(FILE *fp, fpos_t *pos);

DESCRIPTION
The explain_fgetpos_or_die function is used to call the fgetpos(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fgetpos(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fgetpos_on_error function is used to call the fgetpos(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fgetpos(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the fgetpos(3) system call.

pos The pos, exactly as to be passed to the fgetpos(3) system call.

RETURN VALUE
The explain_fgetpos_or_die function only returns on success, see fgetpos(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fgetpos_on_error function always returns the value return by the wrapped fgetpos(3) system call.

EXAMPLE
The explain_fgetpos_or_die function is intended to be used in a fashion similar to the following example:
    explain_fgetpos_or_die(fp, pos);

SEE ALSO

fgetpos(3)
    reposition a stream

explain_fgetpos(3)
    explain fgetpos(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2010 Peter Miller